      subroutine ecrispascher0(x)
      INCLUDE 'Parametres.f' 
c
      ix = min(max(-90000,nint(1000.*x)),900000)
      if (ix.ge.100000) then
        write(bufferout(iptbuf:iptbuf+5),'(i6)') ix
        iptbuf = iptbuf+6
      elseif(ix.ge.10000) then
        write(bufferout(iptbuf:iptbuf+4),'(i5)') ix
        iptbuf = iptbuf+5
      elseif(ix.ge.1000) then
        write(bufferout(iptbuf:iptbuf+3),'(i4)') ix
        iptbuf = iptbuf+4
      elseif(ix.gt.-100) then
        write(bufferout(iptbuf:iptbuf+2),'(i3)') ix
        iptbuf = iptbuf+3
      elseif(ix.gt.-1000) then
        write(bufferout(iptbuf:iptbuf+3),'(i4)') ix
        iptbuf = iptbuf+4
      elseif(ix.gt.-10000) then
        write(bufferout(iptbuf:iptbuf+4),'(i5)') ix
        iptbuf = iptbuf+5
      else
        write(bufferout(iptbuf:iptbuf+5),'(i6)') ix
        iptbuf = iptbuf+6
      endif
      end
